
package net.mcreator.jedandjethrosmod.item;

import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.world.item.Rarity;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;

import net.mcreator.jedandjethrosmod.init.JedAndJethrosModModTabs;

public class DumbThingItem extends Item {
	public DumbThingItem() {
		super(new Item.Properties().tab(JedAndJethrosModModTabs.TAB_JED_AND_JETHROS_MOD).durability(1000).fireResistant().rarity(Rarity.COMMON));
		setRegistryName("dumb_thing");
	}

	@Override
	public int getEnchantmentValue() {
		return 100;
	}

	@Override
	public int getUseDuration(ItemStack itemstack) {
		return 0;
	}

	@Override
	public float getDestroySpeed(ItemStack par1ItemStack, BlockState par2Block) {
		return 1024F;
	}

	@Override
	public boolean isFoil(ItemStack itemstack) {
		return true;
	}

	@Override
	public boolean isCorrectToolForDrops(BlockState state) {
		return true;
	}
}
